com.icesoft.faces.facelets.component.spinner

## Class NumberSpinner

- java.lang.Object
- - com.icesoft.faces.facelets.component.spinner.BaseSpinner
  - - com.icesoft.faces.facelets.component.spinner.NumberSpinner

- All Implemented Interfaces:
    ISpinner, java.io.Serializable

      public class NumberSpinner
      extends BaseSpinner

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class com.icesoft.faces.facelets.component.spinner.BaseSpinner

      `incrementBy`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NumberSpinner()`
    `NumberSpinner(int number)`
    `NumberSpinner(int number, java.lang.Integer min, java.lang.Integer max, INumberSpinnerListener spinnerListener)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `decrementBtnClicked(javax.faces.event.ActionEvent evt)`
    `int` | `getValue()`
    `void` | `incrementBtnClicked(javax.faces.event.ActionEvent evt)`
    `void` | `setValue(int val)`

    - ### Methods inherited from class com.icesoft.faces.facelets.component.spinner.BaseSpinner

      `getIncrementBy, setIncrementBy`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NumberSpinner

          public NumberSpinner(int number)

    - #### NumberSpinner

          public NumberSpinner(int number,
                               java.lang.Integer min,
                               java.lang.Integer max,
                               INumberSpinnerListener spinnerListener)

    - #### NumberSpinner

          public NumberSpinner()

  - ### Method Detail

    - #### incrementBtnClicked

          public void incrementBtnClicked(javax.faces.event.ActionEvent evt)

    - #### decrementBtnClicked

          public void decrementBtnClicked(javax.faces.event.ActionEvent evt)

    - #### setValue

          public void setValue(int val)

    - #### getValue

          public int getValue()

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.